"use strict";

exports.__esModule = true;
var _exportNames = {};
exports.default = void 0;

var _universalEnv = require("universal-env");

var _web = _interopRequireDefault(require("./web"));

var _miniappRuntime = _interopRequireDefault(require("./miniapp-runtime"));

var _weex = _interopRequireDefault(require("./weex"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  exports[key] = _types[key];
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = null;

if (_universalEnv.isWeb) {
  Text = _web.default;
} else if (_universalEnv.isMiniApp || _universalEnv.isWeChatMiniProgram || _universalEnv.isByteDanceMicroApp || _universalEnv.isBaiduSmartProgram || _universalEnv.isKuaiShouMiniProgram) {
  Text = _miniappRuntime.default;
} else if (_universalEnv.isWeex) {
  Text = _weex.default;
} else {
  Text = _web.default;
}

var _default = Text;
exports.default = _default;